Subject: Bug#1359: [X2Go-Dev] Bug#1359: Tooltips, pull-down menus, and context menus too far away

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 9 Jan 2019 14:32:23 +0100

Cloned that into an nx-libs issue:
https://github.com/ArcticaProject/nx-libs/issues/757

On Wed, Jan 9, 2019 at 1:51 PM Tristan Miller
<[email-masked]> wrote:
>
> Package: x2goclient
> Version: 4.1.1.1
>
> I've recently started experiencing a problem when running single
> applications over X2Go.  Quite often small windows such as tooltips,
> pull-down menus, and context menus get positioned far, far away from
> where they are supposed to be.  For example, I'm currently writing this
> message in Claws Mail; when I activate the "Edit" pull-down menu, the
> menu doesn't appear under the menu bar but rather way over on my second
> screen.  (I use a dual-monitor setup.)
>
> The problem happens with a lot of different applications, but not
> always consistently.  For instance, sometimes I might hover my pointer
> over a widget that causes a tooltip to display halfway across the
> screen, and a minute or two later I'll do the same thing but this time
> the tooltip will display right over the widget like it's supposed to.
>
> I'm not sure if this is a bug in X2Go or in my window manager, and if
> it is in X2Go, whether its the client or server that's at fault.  I'm
> running the X2Go Server 4.1.0.4 on openSUSE Tumbleweed, and connecting
> from X2Go Client 4.1.1.1 on openSUSE Leap 15.0, using KDE Plasma
> 5.12.6.  (I can't upgrade the client due to Bug #1358.)
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev